package com.salpa.subject.domain;

import java.sql.Timestamp;
import java.time.LocalDateTime;

/**
 * 数据库参数表 monitor_data_source_property
 *
 * @author zhuff
 */
public class MonitorDataSourceProperty {

    /** ID */
    private Integer id;

    /** 数据库ID */
    private Integer dataSourceId;

    /** key值 */
    private String dataSourceKey;

    /** value值 */
    private String dataSourceValue;

    /** 项目ID */
    private LocalDateTime createAt;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getDataSourceId() {
        return dataSourceId;
    }

    public void setDataSourceId(Integer dataSourceId) {
        this.dataSourceId = dataSourceId;
    }

    public String getDataSourceKey() {
        return dataSourceKey;
    }

    public void setDataSourceKey(String dataSourceKey) {
        this.dataSourceKey = dataSourceKey;
    }

    public String getDataSourceValue() {
        return dataSourceValue;
    }

    public void setDataSourceValue(String dataSourceValue) {
        this.dataSourceValue = dataSourceValue;
    }

    public LocalDateTime getCreateAt() {
        return createAt;
    }

    public void setCreateAt(LocalDateTime createAt) {
        this.createAt = createAt;
    }
}
